;;; folio.el --- businesslike soft theme

;; Copyright (C) 2007  David O'Toole

;; Author: David O'Toole <dto@gnu.org>
;; Version: $Id: color-theme-eon.el,v 1.4 2007/09/13 19:50:08 dto Exp dto $
;; Keywords: faces
;; Debian-depends: emacs23
;; Depends: color-theme

;; This file is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; This file is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with GNU Emacs; see the file COPYING.  If not, write to
;; the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
;; Boston, MA 02110-1301, USA.

;;; Commentary:

;; This is my attempt to design a more useful color theme.

;;; Code:

(require 'color-theme)

(defun color-theme-folio ()
  "Color theme by David O'Toole, created 2009-06-23."
  (interactive)
  (color-theme-install
   '(color-theme-folio
     ((background-color . "gray30")
      (background-mode . dark)
      (background-toolbar-color . "#cf3ccf3ccf3c")
      (border-color . "Grey")
      (bottom-toolbar-shadow-color . "#79e77df779e7")
      (cua-global-mark-cursor-color . "cyan")
      (cua-normal-cursor-color . "black")
      (cua-overwrite-cursor-color . "chartreuse")
      (cua-read-only-cursor-color . "darkgreen")
      (cursor-color . "magenta")
      (ebnf-except-border-color . "Black")
      (ebnf-line-color . "Black")
      (ebnf-non-terminal-border-color . "Black")
      (ebnf-repeat-border-color . "Black")
      (ebnf-special-border-color . "Black")
      (ebnf-terminal-border-color . "Black")
      (foreground-color . "gray90")
      (howm-use-color . t)
      (kk-HTML-background-color . "white")
      (mouse-color . "Grey")
      (ps-line-number-color . "black")
      (ps-zebra-color . 0.95)
      (scomx-main-selection-color  :background "yellow")
      (scomx-selection-color . "yellow")
      (senator-eldoc-use-color . t)
      (term-default-bg-color . unspecified)
      (term-default-fg-color . unspecified)
      (top-toolbar-shadow-color . "#fffffbeeffff")
      (vc-annotate-very-old-color . "#0046FF")
      (viper-saved-cursor-color-in-replace-mode . "Red3")
      (whitespace-display-spaces-in-color . t))
     ((erc-button-face . erc-button)
      (erc-button-mouse-face . highlight)
      (erc-button-nickname-face . erc-nick-default-face)
      (gnus-article-button-face . bold)
      (gnus-article-mouse-face . highlight)
      (gnus-mouse-face . highlight)
      (gnus-signature-face . gnus-signature)
      (gnus-summary-selected-face . gnus-summary-selected)
      (gnus-treat-display-face . head)
      (gnus-treat-display-x-face . head)
      (info-lookup-highlight-face . match)
      (kk-HTML-background-color . "white")
      (list-matching-lines-buffer-name-face . bold)
      (list-matching-lines-face . bold)
      (mew-highlight-cursor-line-face . underline)
      (mew-highlight-mouse-line-face . highlight)
      (mew-highlight-url-mouse-face . highlight)
      (mew-use-highlight-x-face . t)
      (mime-button-face . bold)
      (mime-button-mouse-face . highlight)
      (ps-line-number-color . "black")
      (ps-zebra-color . 0.95)
      (rmail-highlight-face . rmail-highlight)
      (vc-annotate-very-old-color . "#0046FF")
      (view-highlight-face . highlight)
      (widget-mouse-face . highlight)
      (wl-auto-insert-x-face . t))
     (default ((t (:stipple nil :background "gray30" :foreground "gray80" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 94 :width semi-condensed :family "jmk-neep"))))
     (Buffer-menu-buffer-face ((t (nil))))
     (CUA-global-mark-face ((t (nil))))
     (CUA-rectangle-face ((t (nil))))
     (CUA-rectangle-noselect-face ((t (nil))))
     (action-lock-face ((t (:background "gray40" :foreground "yellow"))))
     (antlr-default ((t (nil))))
     (antlr-font-lock-keyword-face ((t (nil))))
     (antlr-font-lock-literal-face ((t (nil))))
     (antlr-font-lock-ruledef-face ((t (nil))))
     (antlr-font-lock-ruleref-face ((t (nil))))
     (antlr-font-lock-tokendef-face ((t (nil))))
     (antlr-font-lock-tokenref-face ((t (nil))))
     (antlr-keyword ((t (nil))))
     (antlr-literal ((t (nil))))
     (antlr-ruledef ((t (nil))))
     (antlr-ruleref ((t (nil))))
     (antlr-syntax ((t (nil))))
     (antlr-tokendef ((t (nil))))
     (antlr-tokenref ((t (nil))))
     (apt-utils-broken ((t (nil))))
     (apt-utils-broken-face ((t (nil))))
     (apt-utils-description ((t (nil))))
     (apt-utils-description-face ((t (nil))))
     (apt-utils-field-contents ((t (nil))))
     (apt-utils-field-contents-face ((t (nil))))
     (apt-utils-field-keyword ((t (nil))))
     (apt-utils-field-keyword-face ((t (nil))))
     (apt-utils-normal-package ((t (nil))))
     (apt-utils-normal-package-face ((t (nil))))
     (apt-utils-summary ((t (nil))))
     (apt-utils-summary-face ((t (nil))))
     (apt-utils-version ((t (nil))))
     (apt-utils-version-face ((t (nil))))
     (apt-utils-virtual-package ((t (nil))))
     (apt-utils-virtual-package-face ((t (nil))))
     (bbdb-company ((t (nil))))
     (bbdb-field-name ((t (nil))))
     (bbdb-field-value ((t (nil))))
     (bbdb-name ((t (nil))))
     (bg:erc-color-face0 ((t (nil))))
     (bg:erc-color-face1 ((t (nil))))
     (bg:erc-color-face10 ((t (nil))))
     (bg:erc-color-face11 ((t (nil))))
     (bg:erc-color-face12 ((t (nil))))
     (bg:erc-color-face13 ((t (nil))))
     (bg:erc-color-face14 ((t (nil))))
     (bg:erc-color-face15 ((t (nil))))
     (bg:erc-color-face2 ((t (nil))))
     (bg:erc-color-face3 ((t (nil))))
     (bg:erc-color-face4 ((t (nil))))
     (bg:erc-color-face5 ((t (nil))))
     (bg:erc-color-face6 ((t (nil))))
     (bg:erc-color-face7 ((t (nil))))
     (bg:erc-color-face8 ((t (nil))))
     (bg:erc-color-face9 ((t (nil))))
     (blank-space-face ((t (:background "LightGray"))))
     (blank-tab-face ((t (:background "Wheat"))))
     (blue ((t (:foreground "blue"))))
     (bold ((t (:bold t :weight bold ))))
     (bold-italic ((t ( :foreground "beige" ))))
     (border ((t (:background "Grey"))))
     (border-glyph ((t (nil))))
     (breakpoint-disabled-bitmap ((t (nil))))
     (breakpoint-disabled-bitmap-face ((t (nil))))
     (breakpoint-enabled-bitmap ((t (nil))))
     (breakpoint-enabled-bitmap-face ((t (nil))))
     (buffer-menu-buffer ((t (nil))))
     (buffers-tab ((t (:background "gray30" :foreground "LightSkyBlue"))))
     (button ((t (nil))))
     (calendar-today ((t (:underline t))))
     (calendar-today-face ((t (nil))))

     (cell-default-face ((t (:background "white" :foreground "gray30" :box (:line-width 1 :color "gray70")))))
     (cell-mouse-face ((t (:background "deeppink3" :foreground "cyan"))))
     (cell-action-face ((t ( :background "red" :foreground "yellow" ))))
     (cell-axis-face ((t (:background "gray25" :foreground "gray45" :box (:line-width 1 :color "gray35")))))
     (cell-axis-odd-face ((t (:background "gray23" :foreground "gray42" :box (:line-width 1 :color "gray34")))))
     (cell-bang-face ((t ( :background "red" :foreground "cyan" ))))
     (cell-blank-face ((t (:background "gray20" :foreground "white" :box (:line-width 1 :color "gray35")))))
     (cell-blank-odd-face ((t (:background "gray18" :foreground "gray99" :box (:line-width 1 :color "gray34")))))
     (cell-comment-face ((t (:italic t :foreground "white" :slant italic))))
     (cell-compute-cursor-face ((t (:box (:line-width 1 :color "purple")))))
     (cell-cursor-face ((t (:background "yellow" :foreground "black" :box nil))))
     (cell-default-face ((t (:foreground "white"))))
     (cell-elisp-face ((t (:background "OliveDrab" :foreground "white"))))
     (cell-file-face ((t (:foreground "yellowgreen"))))
     (cell-keyword-face ((t (:background "DarkOrchid4" :foreground "white" :box (:line-width 1 :color "gray35")))))
     (cell-lisp-face ((t (:background "white" :foreground "gray50"))))
     (cell-print-face ((t (:background "gray40" :foreground "gray80"))))
     (cell-receive-var-face ((t (:background "mediumblue" :foreground "white"))))
     (cell-selection-face ((t (:background "seagreen" :foreground "cyan"))))
     (cell-send-var-face ((t (:background "mediumblue" :foreground "white"))))
     (cell-subr-face ((t (:background "white" :foreground "gray40"))))
     (cell-text-face ((t (:foreground "yellow"))))
     (cell-wiki-face ((t (:background "darkslateblue" :foreground "white"))))
     (change-log-acknowledgement ((t (nil))))
     (change-log-acknowledgement-face ((t (nil))))
     (change-log-conditionals ((t (nil))))
     (change-log-conditionals-face ((t (nil))))
     (change-log-date ((t (nil))))
     (change-log-date-face ((t (nil))))
     (change-log-email ((t (nil))))
     (change-log-email-face ((t (nil))))
     (change-log-file ((t (nil))))
     (change-log-file-face ((t (nil))))
     (change-log-function ((t (nil))))
     (change-log-function-face ((t (nil))))
     (change-log-list ((t (nil))))
     (change-log-list-face ((t (nil))))
     (change-log-name ((t (nil))))
     (change-log-name-face ((t (nil))))
     (chess-display-black-face ((t (nil))))
     (chess-display-white-face ((t (nil))))
     (circe-highlight-nick-face ((t (nil))))
     (circe-my-message-face ((t (nil))))
     (circe-originator-face ((t (nil))))
     (circe-prompt-face ((t (nil))))
     (circe-server-face ((t (nil))))
     (cmode-bracket-face ((t (nil))))
     (comint-highlight-input ((t ( ))))
     (comint-highlight-prompt ((t ( :foreground "gray20" :bold t :weight bold))))
     (comint-input-face ((t (:foreground "deepskyblue"))))
     (company-common-face ((t (nil))))
     (company-expand-face ((t (nil))))
     (company-last-expansion-face ((t (nil))))
     (company-pseudo-tooltip-face ((t (nil))))
     (company-pseudo-tooltip-selection-face ((t (nil))))
     (company-tooltip-selection-face ((t (nil))))
     (compilation-column-number ((t (:foreground "gold" :underline t))))
     (compilation-error ((t (:underline "red"))))
     (compilation-info ((t ( :foreground "Green1" ))))
     (compilation-info-face ((t ( :foreground "Green" ))))
     (compilation-line-number ((t (:foreground "gold"))))
     (compilation-warning ((t ( :foreground "Orange" ))))
     (compilation-warning-face ((t ( :foreground "Orange" ))))
     (completions-common-part ((t (nil))))
     (completions-first-difference ((t (nil))))
     (cperl-array-face ((t ( :foreground "light salmon" ))))
     (cperl-hash-face ((t (:italic t  :foreground "beige" :slant italic ))))
     (cperl-here-face ((t (nil))))
     (cperl-invalid-face ((t (:foreground "white"))))
     (cperl-nonoverridable-face ((t (:foreground "aquamarine"))))
     (cperl-pod-face ((t (nil))))
     (cperl-pod-head-face ((t (nil))))
     (cscsd-speedbar-main-section ((t ( :foreground "cyan" ))))
     (cscsd-speedbar-subsection ((t (:foreground "orange" :underline t))))
     (csound-0-opcode-face ((t (:background "red" :foreground "yellow"))))
     (csound-arate-face ((t (:background "chartreuse4" :foreground "yellow"))))
     (csound-comment-face ((t (:background "gray29" :foreground "gray60"))))
     (csound-decls-face ((t (:foreground "yellow" :underline t))))
     (csound-define-face ((t ( :foreground "red" :underline nil ))))
     (csound-equals-face ((t (:background "red" :foreground "yellow"))))
     (csound-flow-face ((t ( :foreground "blue" :underline nil ))))
     (csound-frate-face ((t (:foreground "MediumBlue" :underline nil :weight normal))))
     (csound-funcs-face ((t (:foreground "magenta"))))
     (csound-globs-face ((t (:background "purple" :foreground "pink" :underline "cyan" :weight normal))))
     (csound-i0-face ((t (:background "gray99" :foreground "Violet" :weight normal))))
     (csound-i1-face ((t (:foreground "Sienna" :weight normal))))
     (csound-i2-face ((t (:background "gray91" :foreground "DarkSlateBlue" :weight normal))))
     (csound-i3-face ((t (:background "gray92" :foreground "SteelBlue" :weight normal))))
     (csound-i4-face ((t (:background "gray93" :foreground "Brown" :weight normal))))
     (csound-i5-face ((t (:background "gray94" :foreground "DarkOliveGreen" :weight normal))))
     (csound-i6-face ((t (:background "gray95" :foreground "MediumSeaGreen" :weight normal))))
     (csound-i7-face ((t (:background "gray96" :foreground "Maroon" :weight normal))))
     (csound-i8-face ((t (:background "gray97" :foreground "Plum" :weight normal))))
     (csound-i9-face ((t (:background "gray98" :foreground "OrangeRed" :weight normal))))
     (csound-inout-face ((t (:background "red" :foreground "yellow"))))
     (csound-irate-face ((t (:background "darkolivegreen4" :foreground "yellow"))))
     (csound-krate-face ((t (:background "olivedrab4" :foreground "yellow"))))
     (csound-label-face ((t (:foreground "red" :underline t :weight normal))))
     (csound-opcode-face ((t (:background "midnightblue" :foreground "cyan"))))
     (csound-section-face ((t ( :foreground "Sienna" ))))
     (csound-string-face ((t (:foreground "magenta" :underline nil :weight normal))))
     (csound-table-face ((t (:foreground "yellow"))))
     (csound-tableno-face ((t ( :foreground "red" ))))
     (csound-tempo-face ((t (:foreground "ForestGreen" :weight normal))))
     (csound-wrate-face ((t (:foreground "DodgerBlue" :underline nil :weight normal))))
     (cua-global-mark-face ((t (nil))))
     (cua-rectangle ((t (nil))))
     (cua-rectangle-face ((t (nil))))
     (cua-rectangle-noselect-face ((t (nil))))
     (cursor ((t (:background "magenta"))))
     (custom-button ((t (:foreground "gainsboro"))))
     (custom-button-mouse ((t (nil))))
     (custom-button-pressed ((t (:background "lightgrey" :foreground "black" :box (:line-width 2 :style pressed-button)))))
     (custom-button-pressed-unraised ((t (nil))))
     (custom-button-unraised ((t (nil))))
     (custom-changed ((t (:background "blue" :foreground "white"))))
     (custom-comment ((t (:background "dim gray"))))
     (custom-comment-tag ((t (:foreground "gray80"))))
     (custom-documentation ((t (:foreground "light blue"))))
     (custom-face-tag ((t (:underline t))))
     (custom-group-tag ((t ( :foreground "pale turquoise" ))))
     (custom-group-tag-1 ((t (:foreground "pale turquoise" :underline t))))
     (custom-invalid ((t (:background "red" :foreground "yellow"))))
     (custom-link ((t (nil))))
     (custom-modified ((t (:background "blue" :foreground "white"))))
     (custom-rogue ((t (:background "black" :foreground "pink"))))
     (custom-saved ((t (:underline t))))
     (custom-set ((t (:background "white" :foreground "blue"))))
     (custom-state ((t (:foreground "light salmon"))))
     (custom-tag ((t (nil))))
     (custom-themed ((t (nil))))
     (custom-variable-button ((t ( :underline t ))))
     (custom-variable-tag ((t ( :foreground "turquoise" ))))
     (custom-visibility ((t (nil))))
     (cvs-filename-face ((t (:foreground "white"))))
     (cvs-handled-face ((t (:foreground "pink"))))
     (cvs-header-face ((t (:foreground "green"))))
     (cvs-marked-face ((t ( :foreground "green3" ))))
     (cvs-msg-face ((t (:foreground "gray85"))))
     (cvs-need-action-face ((t (:foreground "yellow"))))
     (cvs-unknown-face ((t (:foreground "grey"))))
     (cyan ((t (:foreground "cyan"))))
     (diary ((t (:foreground "yellow"))))
     (diary-button ((t (nil))))
     (diary-button-face ((t (nil))))
     (diary-face ((t (nil))))
     (dictionary-button ((t (nil))))
     (dictionary-button-face ((t (nil))))
     (dictionary-reference ((t (nil))))
     (dictionary-reference-face ((t (nil))))
     (dictionary-word-entry ((t (nil))))
     (dictionary-word-entry-face ((t (nil))))
     (diff-added ((t (nil))))
     (diff-added-face ((t (nil))))
     (diff-changed ((t (nil))))
     (diff-changed-face ((t (nil))))
     (diff-context ((t (nil))))
     (diff-context-face ((t (nil))))
     (diff-file-header ((t (nil))))
     (diff-file-header-face ((t (nil))))
     (diff-function ((t (nil))))
     (diff-function-face ((t (nil))))
     (diff-header ((t (nil))))
     (diff-header-face ((t (nil))))
     (diff-hunk-header ((t (nil))))
     (diff-hunk-header-face ((t (nil))))
     (diff-index ((t (nil))))
     (diff-index-face ((t (nil))))
     (diff-indicator-added ((t (nil))))
     (diff-indicator-changed ((t (nil))))
     (diff-indicator-removed ((t (nil))))
     (diff-nonexistent ((t (nil))))
     (diff-nonexistent-face ((t (nil))))
     (diff-removed ((t (nil))))
     (diff-removed-face ((t (nil))))
     (dired-directory ((t (:foreground "gray20"))))
     (dired-face-boring ((t (:foreground "Gray65"))))
     (dired-face-directory ((t (nil))))
     (dired-face-executable ((t (:foreground "green"))))
     (dired-face-flagged ((t (:foreground "tomato"))))
     (dired-face-header ((t (:background "grey75" :foreground "gray30"))))
     (dired-face-marked ((t (:italic t :foreground "slate gray" :slant italic))))
     (dired-face-permissions ((t (:foreground "aquamarine"))))
     (dired-face-setuid ((t (:foreground "gray85"))))
     (dired-face-socket ((t (:foreground "gray85"))))
     (dired-face-symlink ((t (:foreground "cyan"))))
     (dired-flagged ((t (:foreground "red"))))
     (dired-header ((t (:italic t :foreground "yellow" :slant italic))))
     (dired-ignored ((t (:foreground "gray50"))))
     (dired-mark ((t (nil))))
     (dired-marked ((t (:italic t :background "blue" :foreground "yellow" :slant italic))))
     (dired-symlink ((t (:foreground "IndianRed1"))))
     (dired-warn-writable ((t (nil))))
     (dired-warning ((t (nil))))
     (display-time-mail-balloon-enhance-face ((t (:background "orange"))))
     (display-time-mail-balloon-gnus-group-face ((t (:foreground "blue"))))
     (display-time-mail-face ((t (:background "red" :foreground "yellow"))))
     (display-time-time-balloon-face ((t (:foreground "gray85"))))
     (doremi-last-face ((t (nil))))
     (ebrowse-default-face ((t (nil))))
     (ebrowse-file-name-face ((t (:italic t :slant italic))))
     (ebrowse-member-attribute-face ((t (:foreground "red"))))
     (ebrowse-member-class-face ((t (:foreground "Gray85"))))
     (ebrowse-progress-face ((t (:background "blue"))))
     (ebrowse-root-class-face ((t ( :foreground "Gray85" ))))
     (ebrowse-tree-mark-face ((t (:foreground "Gray85"))))
     (ecasound-error-face ((t (nil))))
     (ecasound-ewf-boolean-face ((t (nil))))
     (ecasound-ewf-file-face ((t (nil))))
     (ecasound-ewf-keyword-face ((t (nil))))
     (ecasound-ewf-time-face ((t (nil))))
     (ecaspace-io-face ((t (:background "navyblue" :foreground "cyan"))))
     (ecaspace-monitor-p-face ((t (:background "forestgreen" :foreground "yellow"))))
     (ecaspace-next-take-face ((t (:background "white" :foreground "red"))))
     (ecaspace-record-p-face ((t (:background "red" :foreground "yellow"))))
     (ecaspace-selected-take-face ((t (:background "gray20" :foreground "white"))))
     (ecaspace-track-face ((t (:background "white" :foreground "gray50"))))
     (ecb-analyse-face ((t (nil))))
     (ecb-bucket-token-face ((t ( ))))
     (ecb-default-general-face ((t (:height 1.0))))
     (ecb-default-highlight-face ((t (:background "magenta" :height 1.0))))
     (ecb-directories-general-face ((t (:height 0.9))))
     (ecb-directory-face ((t (:background "Cyan4"))))
     (ecb-history-face ((t (:background "Cyan4"))))
     (ecb-history-general-face ((t (:height 0.9))))
     (ecb-method-face ((t (:background "Cyan4" :slant normal :weight normal))))
     (ecb-methods-general-face ((t (:slant normal))))
     (ecb-source-face ((t (:background "Cyan4"))))
     (ecb-source-in-directories-buffer-face ((t (:foreground "LightBlue1"))))
     (ecb-sources-face ((t (:foreground "LightBlue1"))))
     (ecb-sources-general-face ((t (:height 0.9))))
     (ecb-tag-header-face ((t (nil))))
     (ecb-token-header-face ((t (:background "Steelblue4"))))
     (ecb-type-token-class-face ((t ( ))))
     (ecb-type-token-enum-face ((t ( ))))
     (ecb-type-token-group-face ((t ( :foreground "dim gray" ))))
     (ecb-type-token-interface-face ((t ( ))))
     (ecb-type-token-struct-face ((t ( ))))
     (ecb-type-token-typedef-face ((t ( ))))
     (ediff-current-diff-face-A ((t (:background "pale green" :foreground "firebrick"))))
     (ediff-current-diff-face-Ancestor ((t (:background "VioletRed" :foreground "Gray30"))))
     (ediff-current-diff-face-B ((t (:background "Yellow" :foreground "DarkOrchid"))))
     (ediff-current-diff-face-C ((t (:background "Pink" :foreground "Navy"))))
     (ediff-even-diff-face-A ((t (:background "light grey" :foreground "Gray30"))))
     (ediff-even-diff-face-Ancestor ((t (:background "Grey" :foreground "White"))))
     (ediff-even-diff-face-B ((t (:background "Grey" :foreground "White"))))
     (ediff-even-diff-face-C ((t (:background "light grey" :foreground "Gray30"))))
     (ediff-fine-diff-face-A ((t (:background "sky blue" :foreground "Navy"))))
     (ediff-fine-diff-face-Ancestor ((t (:background "Green" :foreground "Gray30"))))
     (ediff-fine-diff-face-B ((t (:background "cyan" :foreground "Gray30"))))
     (ediff-fine-diff-face-C ((t (:background "Turquoise" :foreground "Gray30"))))
     (ediff-odd-diff-face-A ((t (:background "Grey" :foreground "White"))))
     (ediff-odd-diff-face-Ancestor ((t (:background "light grey" :foreground "Gray30"))))
     (ediff-odd-diff-face-B ((t (:background "light grey" :foreground "Gray30"))))
     (ediff-odd-diff-face-C ((t (:background "Grey" :foreground "White"))))
     (eev-glyph-face-Greek ((t (nil))))
     (eev-glyph-face-bang ((t (:background "red" :foreground "blue"))))
     (eev-glyph-face-blue ((t (:foreground "blue"))))
     (eev-glyph-face-bluebg ((t (:background "blue"))))
     (eev-glyph-face-font ((t (nil))))
     (eev-glyph-face-graphic ((t (nil))))
     (eev-glyph-face-greek ((t (nil))))
     (eev-glyph-face-green ((t ( :foreground "yellow" ))))
     (eev-glyph-face-linear ((t (nil))))
     (eev-glyph-face-logical ((t (nil))))
     (eev-glyph-face-math ((t (nil))))
     (eev-glyph-face-red ((t ( :background "red" :foreground "yellow" ))))
     (eev-glyph-face-yellow-on-red ((t (:background "red" :foreground "yellow"))))
     (eldoc-highlight-function-argument ((t (:foreground "yellow" :background "blue"))))
     (elscreen-tab-background-face ((t (:background "gray25"))))
     (elscreen-tab-control-face ((t (:background "white"))))
     (elscreen-tab-current-screen-face ((t (:background "blueviolet" :foreground "cyan"))))
     (elscreen-tab-other-screen-face ((t (:background "gray50" :foreground "gray80"))))
     (emacs-wiki-bad-link-face ((t ( :foreground "IndianRed1" ))))
     (emacs-wiki-header-1 ((t (  :height 1.728 :family "helv"))))
     (emacs-wiki-header-2 ((t (  :height 1.44 :family "helv"))))
     (emacs-wiki-header-3 ((t (  :height 1.2 :family "helv"))))
     (emacs-wiki-header-4 ((t (  :family "helv"))))
     (emacs-wiki-header-5 ((t ( ))))
     (emacs-wiki-header-6 ((t (nil))))
     (emacs-wiki-link-face ((t ( :foreground "khaki" ))))
     (emacs-wiki-verbatim-face ((t (:foreground "gray"))))
     (emms-pbi-current-face ((t ( :foreground "gold2" ))))
     (emms-pbi-mark-marked ((t (nil))))
     (emms-pbi-mark-marked-face ((t (:italic t :background "gray30" :foreground "slate gray" :slant italic))))
     (emms-pbi-song ((t (nil))))
     (emms-pbi-song-face ((t (:foreground "gray60"))))
     (emms-playlist-selected-face ((t ( :foreground "yellow" ))))
     (emms-playlist-track-face ((t (nil))))
     (emms-stream-name-face ((t (nil))))
     (emms-stream-url-face ((t (nil))))
     (eon-id-highlight-face ((t (:background "gray43" :foreground "red"))))
     (erc-action ((t (nil))))
     (erc-action-face ((t (:foreground "gray70"))))
     (erc-bold ((t (nil))))
     (erc-bold-face ((t ( ))))
     (erc-button ((t ( ))))
     (erc-chanlist-even-line-face ((t (nil))))
     (erc-chanlist-header-face ((t (nil))))
     (erc-chanlist-highlight ((t (nil))))
     (erc-chanlist-odd-line-face ((t (nil))))
     (erc-command-indicator-face ((t ( ))))
     (erc-current-nick ((t (nil))))
     (erc-current-nick-face ((t ( :foreground "red" :bold t :weight bold ))))
;     (erc-current-nick-face ((t (:foreground "cyan"))))
     (erc-dangerous-host ((t (nil))))
     (erc-dangerous-host-face ((t (:foreground "red"))))
     (erc-default ((t (nil))))
     (erc-default-face ((t (:foreground "darkgoldenrod"))))
     (erc-direct-msg ((t (nil))))
     (erc-direct-msg-face ((t (:foreground "pale green"))))
     (erc-error ((t (nil))))
     (erc-error-face ((t ( :foreground "IndianRed" ))))
     (erc-fool ((t (nil))))
     (erc-fool-face ((t (:foreground "Gray85"))))
     (erc-header-line ((t (:background "grey20" :foreground "gray90" :box nil :underline "gray60"))))
     (erc-highlight ((t (nil))))
     (erc-highlight-face ((t ( :foreground "pale green" ))))
     (erc-input ((t (nil))))
     (erc-input-face ((t (:foreground "dodgerblue1"))))
     (erc-inverse-face ((t (:background "steel blue"))))
     (erc-keyword ((t (nil))))
     (erc-keyword-face ((t (nil))))
     (erc-my-nick-face ((t (:foreground "red" :bold t :weight bold))))
     (erc-nick-default ((t (nil))))
     (erc-nick-default-face ((t (:foreground "tomato" :bold t :weight bold))))
     (erc-nick-msg ((t (nil))))
     (erc-nick-msg-face ((t ( :foreground "green" ))))
     (erc-notice ((t (nil))))
     (erc-notice-face ((t (:foreground "gray50"))))
     (erc-pal ((t (nil))))
     (erc-pal-face ((t (:foreground "aquamarine"))))
     (erc-prompt ((t (nil))))
     (erc-prompt-face ((t (:foreground "white"))))
     (erc-timestamp ((t (nil))))
     (erc-timestamp-face ((t (:foreground "gray40"))))
     (erc-underline ((t (nil))))
     (erc-underline-face ((t (:underline t))))
     (escape-glyph ((t (:foreground "cyan"))))
     (eshell-ls-archive ((t ( :foreground "Orchid" ))))
     (eshell-ls-archive-face ((t ( :foreground "Orchid" ))))
     (eshell-ls-backup ((t (:foreground "LightSalmon"))))
     (eshell-ls-backup-face ((t (:foreground "LightSalmon"))))
     (eshell-ls-clutter ((t ( :foreground "OrangeRed" ))))
     (eshell-ls-clutter-face ((t ( :foreground "OrangeRed" ))))
     (eshell-ls-directory ((t ( :foreground "SkyBlue" ))))
     (eshell-ls-directory-face ((t ( :foreground "SkyBlue" ))))
     (eshell-ls-executable ((t ( :foreground "Green" ))))
     (eshell-ls-executable-face ((t ( :foreground "Green" ))))
     (eshell-ls-missing ((t ( :foreground "Red" ))))
     (eshell-ls-missing-face ((t ( :foreground "Red" ))))
     (eshell-ls-picture-face ((t (:foreground "violet"))))
     (eshell-ls-product ((t (:foreground "LightSalmon"))))
     (eshell-ls-product-face ((t (:foreground "LightSalmon"))))
     (eshell-ls-readonly ((t (:foreground "Pink"))))
     (eshell-ls-readonly-face ((t (:foreground "Pink"))))
     (eshell-ls-special ((t ( :foreground "Magenta" ))))
     (eshell-ls-special-face ((t ( :foreground "Magenta" ))))
     (eshell-ls-symlink ((t ( :foreground "Cyan" ))))
     (eshell-ls-symlink-face ((t ( :foreground "Cyan" ))))
     (eshell-ls-text-face ((t (nil))))
     (eshell-ls-todo-face ((t (nil))))
     (eshell-ls-unreadable ((t (:foreground "DarkGrey"))))
     (eshell-ls-unreadable-face ((t (:foreground "DarkGrey"))))
     (eshell-prompt ((t ( :foreground "Pink" ))))
     (eshell-prompt-face ((t ( :foreground "Pink" ))))
     (eshell-test-failed ((t (nil))))
     (eshell-test-failed-face ((t (nil))))
     (eshell-test-ok ((t (nil))))
     (eshell-test-ok-face ((t (nil))))
     (excerpt ((t (:italic t :slant italic))))
     (fancy-widget-button ((t (nil))))
     (fancy-widget-button-face ((t (nil))))
     (fancy-widget-button-highlight ((t (nil))))
     (fancy-widget-button-highlight-face ((t (nil))))
     (fancy-widget-button-pressed ((t (nil))))
     (fancy-widget-button-pressed-face ((t (nil))))
     (fancy-widget-button-pressed-highlight ((t (nil))))
     (fancy-widget-button-pressed-highlight-face ((t (nil))))
     (fancy-widget-documentation ((t (nil))))
     (fancy-widget-documentation-face ((t (nil))))
     (fancy-widget-field ((t (nil))))
     (fancy-widget-field-face ((t (nil))))
     (fancy-widget-inactive ((t (nil))))
     (fancy-widget-inactive-face ((t (nil))))
     (fancy-widget-single-line-field ((t (nil))))
     (fancy-widget-single-line-field-face ((t (nil))))
     (ff-paths-non-existant-file-face ((t ( :foreground "gray85" ))))
     (ffap ((t (:background "purple3" :foreground "cyan"))))
     (fg:black ((t (:foreground "black"))))
     (fg:erc-color-face0 ((t (:foreground "white"))))
     (fg:erc-color-face1 ((t (:foreground "beige"))))
     (fg:erc-color-face10 ((t (:foreground "pale goldenrod"))))
     (fg:erc-color-face11 ((t (:foreground "light goldenrod yellow"))))
     (fg:erc-color-face12 ((t (:foreground "light yellow"))))
     (fg:erc-color-face13 ((t (:foreground "yellow"))))
     (fg:erc-color-face14 ((t (:foreground "light goldenrod"))))
     (fg:erc-color-face15 ((t (:foreground "lime green"))))
     (fg:erc-color-face2 ((t (:foreground "lemon chiffon"))))
     (fg:erc-color-face3 ((t (:foreground "light cyan"))))
     (fg:erc-color-face4 ((t (:foreground "powder blue"))))
     (fg:erc-color-face5 ((t (:foreground "sky blue"))))
     (fg:erc-color-face6 ((t (:foreground "dark sea green"))))
     (fg:erc-color-face7 ((t (:foreground "pale green"))))
     (fg:erc-color-face8 ((t (:foreground "medium spring green"))))
     (fg:erc-color-face9 ((t (:foreground "khaki"))))
     (file-name-shadow ((t (nil))))
     (fixed ((t ( ))))
     (fixed-pitch ((t (:family "courier"))))
     (fl-comment-face ((t (:foreground "gray85"))))
     (fl-doc-string-face ((t (nil))))
     (fl-function-name-face ((t (:foreground "green"))))
     (fl-keyword-face ((t (:foreground "LightGreen"))))
     (fl-string-face ((t (:foreground "light coral"))))
     (fl-type-face ((t (:foreground "cyan"))))
     (flash-message-face-1 ((t ( :background "yellow" :foreground "black" ))))
     (flash-message-face-2 ((t ( :background "red" :foreground "cyan" ))))
     (flyspell-duplicate-face ((t ( :foreground "Gold3" :underline t ))))
     (flyspell-incorrect-face ((t ( :foreground "OrangeRed" :underline t ))))
     (font-latex-bold ((t (nil))))
     (font-latex-bold-face ((t (nil))))
     (font-latex-italic-face ((t (nil))))
     (font-latex-math-face ((t (nil))))
     (font-latex-sedate ((t (nil))))
     (font-latex-sedate-face ((t (:foreground "Gray85"))))
     (font-latex-string-face ((t (:foreground "orange"))))
     (font-latex-title-4 ((t (nil))))
     (font-latex-title-4-face ((t (nil))))
     (font-latex-warning ((t (nil))))
     (font-latex-warning-face ((t (:foreground "gold"))))
     (font-lock-builtin ((t (nil))))
     (font-lock-builtin-face ((t (:foreground "yellowgreen5"))))
     (font-lock-comment ((t (nil))))
     (font-lock-comment-delimiter ((t (nil))))
     (font-lock-comment-delimiter-face ((t (:background "gray37" :foreground "gray50"))))
     (font-lock-comment-face ((t (:background "gray37" :foreground "gray70"))))
     (font-lock-constant ((t (nil))))
     (font-lock-constant-face ((t (:foreground "gold" :bold t :weight bold))))
     (font-lock-doc ((t (nil))))
     (font-lock-doc-face ((t (:foreground "white"))))
     (font-lock-doc-string-face ((t (:background "gray37" :foreground "white"))))
     (font-lock-emphasized-face ((t (:foreground "red"))))
     (font-lock-exit-face ((t (:foreground "green"))))
     (font-lock-function-name ((t (nil))))
     (font-lock-function-name-face ((t (:foreground "yellow" :bold t :weight bold))))
     (font-lock-interface-def-face ((t (nil))))
     (font-lock-keyword ((t (nil))))
     (font-lock-keyword-face ((t (:foreground "gray95" :bold t :weight bold))))
     (font-lock-module-def-face ((t (nil))))
     (font-lock-negation-char ((t (nil))))
     (font-lock-negation-char-face ((t (nil))))
     (font-lock-operator ((t (nil))))
     (font-lock-operator-face ((t (nil))))
     (font-lock-other-emphasized-face ((t (nil))))
     (font-lock-other-type-face ((t (nil))))
     (font-lock-preprocessor ((t (nil))))
     (font-lock-preprocessor-face ((t (:foreground "gray70"))))
     (font-lock-pseudo-keyword ((t (nil))))
     (font-lock-pseudo-keyword-face ((t (:foreground "gray65"))))
     (font-lock-reference-face ((t (:foreground "cyan"))))
     (font-lock-regexp-grouping-backslash ((t (:foreground "tomato1" :bold t :weight bold))))
     (font-lock-regexp-grouping-construct ((t (:foreground "tomato1" :bold t :weight bold))))
     (font-lock-string ((t (nil))))
     (font-lock-string-face ((t (:foreground "white"))))
     (font-lock-type ((t (nil))))
     (font-lock-type-def-face ((t (nil))))
     (font-lock-type-face ((t (:foreground "white"))))
     (font-lock-variable-name ((t (nil))))
     (font-lock-variable-name-face ((t (:foreground "greenyellow" :bold t :weight bold))))
     (font-lock-warning ((t (nil))))
     (font-lock-warning-face ((t (:underline "red"))))
     (fringe ((t (:background "gray34" :foreground "gray50"))))
     (fvwm-rgb-value-face ((t (nil))))
     (fvwm-special-face ((t (nil))))
     (gnus-button ((t (nil))))
     (gnus-cite-1 ((t (:foreground "light blue"))))
     (gnus-cite-10 ((t (:foreground "medium purple"))))
     (gnus-cite-11 ((t (:foreground "turquoise"))))
     (gnus-cite-2 ((t (:foreground "light cyan"))))
     (gnus-cite-3 ((t (:foreground "light yellow"))))
     (gnus-cite-4 ((t (:foreground "light pink"))))
     (gnus-cite-5 ((t (:foreground "pale green"))))
     (gnus-cite-6 ((t (:foreground "beige"))))
     (gnus-cite-7 ((t (:foreground "orange"))))
     (gnus-cite-8 ((t (:foreground "magenta"))))
     (gnus-cite-9 ((t (:foreground "violet"))))
     (gnus-cite-attribution ((t (:italic t :slant italic))))
     (gnus-cite-attribution-face ((t (:italic t :slant italic))))
     (gnus-cite-face-1 ((t (:foreground "light blue"))))
     (gnus-cite-face-10 ((t (:foreground "medium purple"))))
     (gnus-cite-face-11 ((t (:foreground "turquoise"))))
     (gnus-cite-face-2 ((t (:foreground "light cyan"))))
     (gnus-cite-face-3 ((t (:foreground "light yellow"))))
     (gnus-cite-face-4 ((t (:foreground "light pink"))))
     (gnus-cite-face-5 ((t (:foreground "pale green"))))
     (gnus-cite-face-6 ((t (:foreground "beige"))))
     (gnus-cite-face-7 ((t (:foreground "orange"))))
     (gnus-cite-face-8 ((t (:foreground "magenta"))))
     (gnus-cite-face-9 ((t (:foreground "violet"))))
     (gnus-emphasis-bold ((t ( ))))
     (gnus-emphasis-bold-italic ((t (:italic t  :slant italic ))))
     (gnus-emphasis-highlight-words ((t (:background "black" :foreground "yellow"))))
     (gnus-emphasis-italic ((t (:italic t :slant italic))))
     (gnus-emphasis-strikethru ((t (nil))))
     (gnus-emphasis-underline ((t (:underline t))))
     (gnus-emphasis-underline-bold ((t ( :underline t ))))
     (gnus-emphasis-underline-bold-italic ((t (:italic t  :underline t :slant italic ))))
     (gnus-emphasis-underline-italic ((t (:italic t :underline t :slant italic))))
     (gnus-filterhist-face-1 ((t (nil))))
     (gnus-group-mail-1 ((t ( :foreground "aquamarine1" ))))
     (gnus-group-mail-1-empty ((t (:foreground "aquamarine1"))))
     (gnus-group-mail-2 ((t ( :foreground "aquamarine2" ))))
     (gnus-group-mail-2-empty ((t (:foreground "aquamarine2"))))
     (gnus-group-mail-3 ((t ( :foreground "aquamarine3" ))))
     (gnus-group-mail-3-empty ((t (:foreground "aquamarine3"))))
     (gnus-group-mail-low ((t ( :foreground "aquamarine4" ))))
     (gnus-group-mail-low-empty ((t (:foreground "aquamarine4"))))
     (gnus-group-news-1 ((t ( :foreground "PaleTurquoise" ))))
     (gnus-group-news-1-empty ((t (:foreground "PaleTurquoise"))))
     (gnus-group-news-2 ((t ( :foreground "turquoise" ))))
     (gnus-group-news-2-empty ((t (:foreground "turquoise"))))
     (gnus-group-news-3 ((t ( ))))
     (gnus-group-news-3-empty ((t (nil))))
     (gnus-group-news-4 ((t ( ))))
     (gnus-group-news-4-empty ((t (nil))))
     (gnus-group-news-5 ((t ( ))))
     (gnus-group-news-5-empty ((t (nil))))
     (gnus-group-news-6 ((t ( ))))
     (gnus-group-news-6-empty ((t (nil))))
     (gnus-group-news-low ((t ( :foreground "DarkTurquoise" ))))
     (gnus-group-news-low-empty ((t (:foreground "DarkTurquoise"))))
     (gnus-header-content ((t (:italic t :foreground "forest green" :slant italic))))
     (gnus-header-from ((t (:foreground "spring green"))))
     (gnus-header-name ((t (:foreground "SeaGreen"))))
     (gnus-header-newsgroups ((t (:italic t :foreground "yellow" :slant italic))))
     (gnus-header-subject ((t (:foreground "SeaGreen3"))))
     (gnus-picon-face ((t (:background "white" :foreground "black"))))
     (gnus-picon-xbm-face ((t (:background "white" :foreground "black"))))
     (gnus-picons-face ((t (:background "white" :foreground "gray30"))))
     (gnus-picons-xbm-face ((t (:background "white" :foreground "gray30"))))
     (gnus-server-agent ((t ( :foreground "PaleTurquoise" ))))
     (gnus-server-agent-face ((t ( :foreground "PaleTurquoise" ))))
     (gnus-server-closed ((t (:italic t :foreground "Light Steel Blue" :slant italic))))
     (gnus-server-closed-face ((t (:italic t :foreground "Light Steel Blue" :slant italic))))
     (gnus-server-denied ((t ( :foreground "Pink" ))))
     (gnus-server-denied-face ((t ( :foreground "Pink" ))))
     (gnus-server-offline ((t ( :foreground "Yellow" ))))
     (gnus-server-offline-face ((t ( :foreground "Yellow" ))))
     (gnus-server-opened ((t ( :foreground "Green1" ))))
     (gnus-server-opened-face ((t ( :foreground "Green1" ))))
     (gnus-signature ((t (:italic t :slant italic))))
     (gnus-splash ((t (:foreground "Brown"))))
     (gnus-summary-cancelled ((t (:background "black" :foreground "yellow"))))
     (gnus-summary-high-ancient ((t ( :foreground "SkyBlue" ))))
     (gnus-summary-high-read ((t ( :foreground "PaleGreen" ))))
     (gnus-summary-high-ticked ((t ( :foreground "pink" ))))
     (gnus-summary-high-undownloaded ((t ( :foreground "LightGray" ))))
     (gnus-summary-high-unread ((t ( ))))
     (gnus-summary-low-ancient ((t (:italic t :foreground "SkyBlue" :slant italic))))
     (gnus-summary-low-read ((t (:italic t :foreground "PaleGreen" :slant italic))))
     (gnus-summary-low-ticked ((t (:italic t :foreground "pink" :slant italic))))
     (gnus-summary-low-undownloaded ((t (:italic t :foreground "LightGray" :slant italic :weight normal))))
     (gnus-summary-low-unread ((t (:italic t :slant italic))))
     (gnus-summary-normal-ancient ((t (:foreground "SkyBlue"))))
     (gnus-summary-normal-read ((t (:foreground "PaleGreen"))))
     (gnus-summary-normal-ticked ((t (:foreground "pink"))))
     (gnus-summary-normal-undownloaded ((t (:foreground "LightGray" :weight normal))))
     (gnus-summary-normal-unread ((t (nil))))
     (gnus-summary-selected ((t (:underline t))))
     (gnus-x-face ((t (:background "white" :foreground "gray30"))))
     (golisp-anchor-face ((t ( :foreground "yellow" ))))
     (golisp-bullet-face ((t (:foreground "yellow"))))
     (golisp-defxref-name-face ((t ( :foreground "gray60" ))))
     (golisp-xref-face ((t ( :foreground "yellow" ))))
     (green ((t (:foreground "green"))))
     (gui-button-face ((t (:background "grey75" :foreground "gray30"))))
     (gui-element ((t (:background "Gray80"))))
     (header-line ((t (:background "grey20" :foreground "gray90" :box nil :underline "gray60"))))
     (headline-face ((t ( :foreground "white" :bold t :weight bold :background "gray37"))))
     (help-argument-name ((t (:italic t :foreground "yellow" :slant italic))))
     (help-highlight-face ((t ( :underline t ))))
     (hexl-address-area ((t (nil))))
     (hexl-address-region ((t (nil))))
     (hexl-ascii-area ((t (nil))))
     (hexl-ascii-region ((t (nil))))
     (hi-black-b ((t ( ))))
     (hi-black-hb ((t (  :height 1.67 :family "helv"))))
     (hi-blue ((t (:background "light blue"))))
     (hi-blue-b ((t ( :foreground "blue" ))))
     (hi-green ((t (:background "green"))))
     (hi-green-b ((t ( :foreground "green" ))))
     (hi-pink ((t (:background "pink"))))
     (hi-red-b ((t ( :foreground "red" ))))
     (hi-yellow ((t (:background "yellow"))))
     (highlight ((t ( :background "white" :foreground "red" ))))
     (highlight-changes-delete-face ((t (:foreground "gray85" :underline t))))
     (highlight-changes-face ((t (:foreground "gray85"))))
     (highlight-current-line ((t (nil))))
     (highlight-current-line-face ((t (nil))))
     (highlight-symbol-face ((t (:foreground "gray90" :background "gray35"))))
     (highline-face ((t (:background "gray25"))))
     (highline-vertical-face ((t (:background "lightcyan"))))
     (holiday ((t (:background "chocolate4"))))
     (holiday-face ((t (nil))))
     (hover-highlight ((t (nil))))
     (howm-menu-key-face ((t (:foreground "orange"))))
     (howm-menu-list-face ((t (:foreground "white"))))
     (howm-mode-keyword-face ((t ( :background "dodgerblue2" :foreground "white" ))))
     (howm-mode-ref-face ((t ( :background "ForestGreen" :foreground "yellow" ))))
     (howm-mode-title-face ((t ( :background "DodgerBlue3" :foreground "white" ))))
     (howm-mode-wiki-face ((t (:foreground "cyan"))))
     (howm-reminder-deadline-face ((t (:background "red" :foreground "yellow"))))
     (howm-reminder-defer-face ((t (:background "violetred4" :foreground "magenta"))))
     (howm-reminder-done-face ((t (:background "gray40" :foreground "gray90"))))
     (howm-reminder-normal-face ((t (:background "forestgreen" :foreground "yellow"))))
     (howm-reminder-schedule-face ((t (:background "darkorange2" :foreground "yellow"))))
     (howm-reminder-separator-face ((t (:foreground "black"))))
     (howm-reminder-today-face ((t (:underline "yellow"))))
     (howm-reminder-todo-face ((t (:background "dodgerblue3" :foreground "cyan"))))
     (howm-reminder-tomorrow-face ((t (:italic t :slant italic))))
     (howm-view-empty-face ((t (nil))))
     (howm-view-hilit-face ((t ( :background "forestgreen" :foreground "yellow" ))))
     (howm-view-name-face ((t (nil))))
     (html-helper-bold-face ((t ( ))))
     (html-helper-bold-italic-face ((t (nil))))
     (html-helper-builtin-face ((t (:foreground "gray85" :underline t))))
     (html-helper-italic-face ((t ( :foreground "yellow" ))))
     (html-helper-underline-face ((t (:underline t))))
     (html-tag-face ((t ( ))))
     (hyper-apropos-documentation ((t (nil))))
     (hyper-apropos-heading ((t ( ))))
     (hyper-apropos-hyperlink ((t (nil))))
     (hyper-apropos-major-heading ((t ( ))))
     (hyper-apropos-section-heading ((t ( ))))
     (hyper-apropos-warning ((t ( :foreground "gray85" ))))
     (ibuffer-deletion ((t (nil))))
     (ibuffer-deletion-face ((t (nil))))
     (ibuffer-help-buffer ((t (nil))))
     (ibuffer-help-buffer-face ((t (nil))))
     (ibuffer-marked ((t (nil))))
     (ibuffer-marked-face ((t (:foreground "gray85"))))
     (ibuffer-special-buffer ((t (nil))))
     (ibuffer-special-buffer-face ((t (nil))))
     (idlwave-help-link ((t (:foreground "Blue"))))
     (idlwave-help-link-face ((t (:foreground "Blue"))))
     (idlwave-shell-bp-face ((t (:background "Pink" :foreground "Black"))))
     (ido-first-match ((t (nil))))
     (ido-first-match-face ((t (nil))))
     (ido-indicator-face ((t (nil))))
     (ido-only-match ((t (nil))))
     (ido-only-match-face ((t (nil))))
     (ido-subdir ((t (nil))))
     (ido-subdir-face ((t (nil))))
     (imaxima-latex-error ((t (nil))))
     (imaxima-latex-error-face ((t (nil))))
     (info-header-node ((t ( ))))
     (info-header-xref ((t ( :foreground "sky blue" ))))
     (info-menu-6 ((t (nil))))
     (info-menu-header ((t (  :family "helv"))))
     (info-menu-star ((t (:underline t))))
     (info-node ((t ( ))))
     (info-title-1 ((t (  :height 1.728))))
     (info-title-2 ((t (  :height 1.44 ))))
     (info-title-3 ((t (  :height 1.2 ))))
     (info-title-4 ((t (  ))))
     (info-xref ((t ( :foreground "sky blue" ))))
     (info-xref-visited ((t ( :foreground "magenta3" ))))
     (isearch ((t (:background "red" :foreground "yellow"))))
     (isearch-lazy-highlight ((t (nil))))
     (isearch-secondary ((t (:background "darkred" :foreground "yellow"))))
     (iswitchb-current-match ((t (nil))))
     (iswitchb-invalid-regexp ((t (nil))))
     (iswitchb-single-match ((t (nil))))
     (iswitchb-virtual-matches ((t (nil))))
     (italic ((t (:italic t :slant italic))))
     (jde-bug-breakpoint-cursor ((t (:background "brown" :foreground "cyan"))))
     (jde-bug-breakpoint-marker ((t (:background "yellow" :foreground "red"))))
     (jde-db-active-breakpoint-face ((t (nil))))
     (jde-db-requested-breakpoint-face ((t (nil))))
     (jde-db-spec-breakpoint-face ((t (nil))))
     (jde-java-font-lock-api-face ((t (:foreground "light goldenrod"))))
     (jde-java-font-lock-bold-face ((t ( ))))
     (jde-java-font-lock-code-face ((t (nil))))
     (jde-java-font-lock-constant ((t (nil))))
     (jde-java-font-lock-constant-face ((t (:foreground "Aquamarine"))))
     (jde-java-font-lock-doc-tag ((t (nil))))
     (jde-java-font-lock-doc-tag-face ((t (:foreground "light coral"))))
     (jde-java-font-lock-italic-face ((t (:italic t :slant italic))))
     (jde-java-font-lock-link ((t (nil))))
     (jde-java-font-lock-link-face ((t (:foreground "blue" :underline t :slant normal))))
     (jde-java-font-lock-modifier ((t (nil))))
     (jde-java-font-lock-modifier-face ((t (:foreground "LightSteelBlue"))))
     (jde-java-font-lock-number ((t (nil))))
     (jde-java-font-lock-number-face ((t (:foreground "LightSalmon"))))
     (jde-java-font-lock-operator ((t (nil))))
     (jde-java-font-lock-operator-face ((t (:foreground "cyan3"))))
     (jde-java-font-lock-package ((t (nil))))
     (jde-java-font-lock-package-face ((t (:foreground "steelblue1"))))
     (jde-java-font-lock-pre-face ((t (nil))))
     (jde-java-font-lock-underline-face ((t (:underline t))))
     (keywiz-command ((t (nil))))
     (keywiz-command-face ((t (nil))))
     (keywiz-right ((t (nil))))
     (keywiz-right-face ((t (nil))))
     (keywiz-wrong ((t (nil))))
     (keywiz-wrong-face ((t (nil))))
     (lazy-highlight ((t (:background "paleturquoise4"))))
     (lazy-highlight-face ((t ( :foreground "yellow" ))))
     (ld-script-location-counter ((t ( :foreground "gray57" ))))
     (left-margin ((t (nil))))
     (light-symbol-face ((t (:background "blue" :foreground "yellow"))))
     (linemenu-face ((t (:background "gray30"))))
     (link ((t (nil))))
     (link-visited ((t (nil))))
     (linkd-command-face ((t (:background "goldenrod4" :foreground "gold"))))
     (linkd-generic-face ((t (:foreground "aquamarine1"))))
     (linkd-generic-name-face ((t (:background "aquamarine4" :foreground "aquamarine1" :underline "yellow"))))
     (linkd-icon-face ((t (:underline nil))))
     (linkd-node-face ((t (nil))))
     (linkd-other-face ((t (nil))))
     (linkd-star-face ((t (:background "red" :foreground "yellow" :underline nil))))
     (linkd-star-name-face ((t (:background "olivedrab4" :foreground "yellow" :underline "yellow"))))
     (linkd-tag-face ((t (:background "palevioletred3" :foreground "yellow" :underline nil))))
     (linkd-tag-name-face ((t (:background "aquamarine4" :foreground "aquamarine1" :underline "yellow"))))
     (linkd-to-face ((t (nil))))
     (linkd-wiki-face ((t (:foreground "cyan" :underline "yellow"))))
     (list-mode-item-selected ((t (:background "gray68"))))
     (log-view-file-face ((t ( :background "grey70" ))))
     (log-view-message-face ((t (nil))))
     (magenta ((t (:foreground "gray85"))))
     (makefile-shell ((t (nil))))
     (makefile-shell-face ((t (nil))))
     (makefile-space ((t (nil))))
     (makefile-space-face ((t (:background "hotpink"))))
     (man-bold ((t ( ))))
     (man-heading ((t ( ))))
     (man-italic ((t (:foreground "yellow"))))
     (man-xref ((t (:underline t))))
     (match ((t (:background "RoyalBlue4"))))
     (menu ((t (nil))))
     (message-cited-text ((t (:foreground "orange"))))
     (message-header-cc ((t (:foreground "khaki"))))
     (message-header-contents ((t (:foreground "white"))))
     (message-header-from ((t (nil))))
     (message-header-from-face ((t (nil))))
     (message-header-name ((t (:foreground "LightBlue"))))
     (message-header-newsgroups ((t (:italic t  :foreground "MediumAquamarine" :slant italic ))))
     (mesxsage-header-other ((t (:foreground "MediumAquamarine"))))
     (message-header-subject ((t ( :foreground "light cyan" ))))
     (message-header-to ((t ( :foreground "light cyan" ))))
     (message-header-xheader ((t (:foreground "MediumAquamarine"))))
     (message-headers ((t ( :foreground "orange" ))))
     (message-highlighted-header-contents ((t ( ))))
     (message-mml ((t (:foreground "ForestGreen"))))
     (message-separator ((t (:foreground "chocolate"))))
     (message-url ((t ( :foreground "pink" ))))
     (mew-face-body-cite1 ((t (:foreground "LimeGreen"))))
     (mew-face-body-cite2 ((t (:foreground "SkyBlue"))))
     (mew-face-body-cite3 ((t (:foreground "violet"))))
     (mew-face-body-cite4 ((t (:foreground "Gold"))))
     (mew-face-body-cite5 ((t (:foreground "OrangeRed"))))
     (mew-face-body-comment ((t (:foreground "gray50"))))
     (mew-face-body-url ((t ( :foreground "OrangeRed" ))))
     (mew-face-eof-message ((t ( :foreground "LimeGreen" ))))
     (mew-face-eof-part ((t ( :foreground "Gold" ))))
     (mew-face-header-date ((t ( :foreground "LimeGreen" ))))
     (mew-face-header-from ((t ( :foreground "Gold" ))))
     (mew-face-header-important ((t ( :foreground "SkyBlue" ))))
     (mew-face-header-key ((t ( :foreground "LimeGreen" ))))
     (mew-face-header-marginal ((t ( :foreground "gray50" ))))
     (mew-face-header-private ((t ( ))))
     (mew-face-header-subject ((t ( :foreground "OrangeRed" ))))
     (mew-face-header-to ((t ( :foreground "violet" ))))
     (mew-face-header-warning ((t ( :foreground "red" ))))
     (mew-face-header-xmew ((t ( :foreground "chocolate" ))))
     (mew-face-header-xmew-bad ((t ( :foreground "red" ))))
     (mew-face-mark-delete ((t (:foreground "OrangeRed"))))
     (mew-face-mark-escape ((t (:foreground "violet"))))
     (mew-face-mark-refile ((t (:foreground "LimeGreen"))))
     (mew-face-mark-review ((t (:foreground "SkyBlue"))))
     (mew-face-mark-unlink ((t (:foreground "Gold"))))
     (mew-face-mark-unread ((t (nil))))
     (minibuffer-prompt ((t ( :background "red" :foreground "yellow" ))))
     (mm-uu-extract ((t (nil))))
     (mmm-default-submode-face ((t (:background "#c0c0c5"))))
     (mmm-face ((t (:background "black" :foreground "green"))))
     (mode-line ((t (:background "white" :foreground "gray20" :bold t :weight bold))))
     (mode-line-buffer-id ((t ( :foreground "red" :bold t :weight bold))))
     (mode-line-highlight ((t (:background "blueviolet" :foreground "cyan"))))
     (mode-line-inactive ((t (:background "gray20" :foreground "gray70"))))
     (modeline-mousable ((t (:background "white" :foreground "purple"))))
     (modeline-mousable-minor-mode ((t (nil))))
     (momentary ((t (nil))))
     (mouse ((t (:background "Grey"))))
     (mpg123-face-cur ((t (nil))))
     (mpg123-face-slider ((t (nil))))
     (muse-bad-link-face ((t (nil))))
     (muse-emphasis-1 ((t (nil))))
     (muse-emphasis-2 ((t (nil))))
     (muse-emphasis-3 ((t (nil))))
     (muse-header-1 ((t (nil))))
     (muse-header-2 ((t (nil))))
     (muse-header-3 ((t (nil))))
     (muse-header-4 ((t (nil))))
     (muse-header-5 ((t (nil))))
     (muse-link-face ((t (nil))))
     (muse-verbatim-face ((t (nil))))
     (my-summary-highlight-face ((t (:background "PaleTurquoise4" :foreground "White"))))
     (my-tab-face ((t (nil))))
     (my-url-face ((t (:foreground "LightBlue"))))
     (mybiggernumbers ((t (nil))))
     (myblack ((t (nil))))
     (mygrey ((t (nil))))
     (mysubject ((t (nil))))
     (mythreads ((t (nil))))
     (mytime ((t (nil))))
     (next-error ((t (:background "grey30"))))
     (nil ((t (nil))))
     (nobreak-space ((t (nil))))
     (org-agenda-structure ((t (:foreground "goldenrod"))))
     (org-agenda-date ((t (:foreground "purple" :underline "goldenrod"))))
     (org-agenda-date-weekend ((t (:foreground "dodgerblue1" :underline "goldenrod" ))))
     (org-agenda-date-today ((t (:foreground "yellowgreen" :underline "goldenrod"  :bold t :weight bold))))
     (org-agenda-done ((t (:foreground "yellowgreen" :underline "yellowgreen"))))
     (org-archived ((t (nil))))
     (org-code ((t (:background "gray25" :foreground "gray80"))))
     (org-column ((t (nil))))
     (org-date ((t (:background "dodgerblue2" :foreground "white"))))
     (org-deadline-announce ((t (:foreground "red"))))
     (org-done ((t (:background "gray15" :foreground "gray70"))))
     (org-drawer ((t (nil))))
     (org-babel-hidden-face ((t (:foreground "cyan" :background "dodgerblue2" :bold t :weight bold))))
     (org-formula ((t (:foreground "chocolate1"))))
     (org-headline-done ((t (:foreground "gray80"))))
     (org-hide ((t (:foreground "gray70"))))
     (org-level-1 ((t (:bold t :weight bold :foreground "yellow" :underline "yellow" ))))
     (org-level-2 ((t (:bold t :weight bold :foreground "paleturquoise" :underline "paleturquoise"))))
     (org-level-3 ((t (:bold t :weight bold :foreground "palegreen"))))
     (org-level-4 ((t (:foreground "powderblue"))))
     (org-level-5 ((t (:foreground "cornflowerblue"))))
     (org-level-6 ((t (:foreground "royalblue"))))
     (org-level-7 ((t (:foreground "powderblue"))))
     (org-level-8 ((t (:foreground "khaki"))))
     (org-link ((t (:foreground "yellowgreen" :underline "yellow"))))
     (org-property-value ((t (:foreground "greenyellow"))))
     (org-scheduled-previously ((t (:foreground "red"))))
     (org-scheduled-today ((t (:foreground "LightSkyBlue"))))
     (org-sexp-date ((t (nil))))
     (org-special-keyword ((t (:foreground "white" :background "gray30"))))
     (org-table ((t (:foreground "darkred" :background "sandy brown"))))
     (org-meta-line ((t (:foreground "gray70" :italic t :slant italic ))))
     (org-tag ((t (:background "gray50" :foreground "gray90"))))
     (org-target ((t (nil))))
     (org-time-grid ((t (:foreground "LightGoldenrod"))))
     (org-todo ((t (:background "red" :foreground "yellow"))))
     (org-upcoming-deadline ((t (nil))))
     (org-warning ((t ( :foreground "Red1" ))))
     (hypo-chunk-header-face ((t (:foreground "red" :bold t :weight bold))))
     (hypo-hidden-face ((t (:foreground "white" :underline "red" :bold t :weight bold))))
     (outline-1 ((t (:italic t  :foreground "LightSkyBlue" :slant italic ))))
     (outline-2 ((t (:italic t  :foreground "LightGoldenrod" :slant italic ))))
     (outline-3 ((t ( :foreground "Cyan" ))))
     (outline-4 ((t ( :foreground "LightSteelBlue" ))))
     (outline-5 ((t (:italic t :foreground "medium aquamarine" :slant italic))))
     (outline-6 ((t ( :foreground "Aquamarine" ))))
     (outline-7 ((t ( :foreground "PaleGreen" ))))
     (outline-8 ((t (:italic t :foreground "aquamarine" :slant italic))))
     (p4-depot-added-face ((t (nil))))
     (p4-depot-deleted-face ((t (nil))))
     (p4-depot-unmapped-face ((t (nil))))
     (p4-diff-change-face ((t (nil))))
     (p4-diff-del-face ((t (nil))))
     (p4-diff-file-face ((t (nil))))
     (p4-diff-head-face ((t (nil))))
     (p4-diff-ins-face ((t (nil))))
     (paren ((t (nil))))
     (paren-blink-off ((t (:foreground "gray80"))))
     (paren-dim-face ((t (nil))))
     (paren-face ((t (:background "gray20"))))
     (paren-face-match ((t (:background "turquoise"))))
     (paren-face-mismatch ((t (:background "purple" :foreground "white"))))
     (paren-face-no-match ((t (:background "yellow" :foreground "gray30"))))
     (paren-match ((t (:background "darkseagreen2"))))
     (paren-mismatch ((t (:background "RosyBrown" :foreground "gray30"))))
     (paren-mismatch-face ((t ( :background "white" :foreground "red" ))))
     (paren-no-match-face ((t ( :background "white" :foreground "red" ))))
     (plain-widget-button ((t (nil))))
     (plain-widget-button-face ((t (nil))))
     (plain-widget-button-pressed ((t (nil))))
     (plain-widget-button-pressed-face ((t (nil))))
     (plain-widget-documentation ((t (nil))))
     (plain-widget-documentation-face ((t (nil))))
     (plain-widget-field ((t (nil))))
     (plain-widget-field-face ((t (nil))))
     (plain-widget-inactive ((t (nil))))
     (plain-widget-inactive-face ((t (nil))))
     (plain-widget-single-line-field ((t (nil))))
     (plain-widget-single-line-field-face ((t (nil))))
     (planner-cancelled-task-face ((t (:foreground "gray" :strike-through t))))
     (planner-completed-task-face ((t (:foreground "gray" :strike-through t))))
     (planner-delegated-task-face ((t (:italic t :slant italic))))
     (planner-high-priority-task-face ((t (:foreground "red"))))
     (planner-id-face ((t (:foreground "darkgray"))))
     (planner-in-progress-task-face ((t ( ))))
     (planner-low-priority-task-face ((t (:foreground "blue"))))
     (planner-medium-priority-task-face ((t (:foreground "green"))))
     (planner-note-headline-face ((t ( :foreground "dark slate blue" ))))
     (pointer ((t (nil))))
     (primary-selection ((t (:background "gray40"))))
     (punishment-face ((t (nil))))
     (qt-classes-face ((t (nil))))
     (query-replace ((t (:background "slate blue"))))
     (radio-annotation-data-face ((t (:foreground "gray50"))))
     (radio-annotation-delimiter-alt-face ((t (:foreground "gray30" ))))
     (radio-annotation-delimiter-face ((t (:foreground "gold3" ))))
     (radio-attention-face ((t (:foreground "yellow" :background "red"))))
     (rcirc-bright-nick ((t (:foreground "Aquamarine"))))
     (rcirc-dim-nick ((t (:stipple nil :background "saddlebrown" :foreground "orange" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :height 98))))
     (rcirc-keyword ((t (nil))))
     (rcirc-mode-line-nick ((t (:background "red" :foreground "yellow"))))
     (rcirc-my-nick ((t (:foreground "gold"))))
     (rcirc-my-nick-face ((t ( :foreground "gold" ))))
     (rcirc-nick-in-message ((t (:foreground "gold"))))
     (rcirc-nick-in-message-face ((t (:foreground "greenyellow"))))
     (rcirc-nick-in-message-full-line ((t (:foreground "gold"))))
     (rcirc-other-nick ((t (:foreground "gray60"))))
     (rcirc-other-nick-face ((t ( :foreground "lightskyblue" ))))
     (rcirc-prompt ((t (:foreground "gray50"))))
     (rcirc-server ((t (:foreground "gray50"))))
     (rcirc-server-face ((t (nil))))
     (rcirc-server-prefix ((t (:foreground "gray60"))))
     (rcirc-timestamp ((t (:stipple nil :foreground "gray"))))
     (rcirc-track-keyword ((t (nil))))
     (rcirc-track-nick ((t (:background "red" :foreground "yellow"))))
     (rcirc-url ((t (nil))))
     (reb-match-0 ((t (:background "lightblue"))))
     (reb-match-1 ((t (:background "aquamarine"))))
     (reb-match-2 ((t (:background "springgreen"))))
     (reb-match-3 ((t (:background "yellow"))))
     (red ((t (:foreground "red"))))
     (region ((t (:background "blue" :foreground "white"))))
     (right-margin ((t (nil))))
     (rmail-highlight ((t (nil))))
     (rpm-spec-dir-face ((t (nil))))
     (rpm-spec-doc-face ((t (nil))))
     (rpm-spec-ghost-face ((t (nil))))
     (rpm-spec-macro-face ((t (nil))))
     (rpm-spec-package-face ((t (nil))))
     (rpm-spec-tag-face ((t (nil))))
     (ruler-mode-column-number-face ((t (nil))))
     (ruler-mode-comment-column-face ((t (nil))))
     (ruler-mode-current-column-face ((t (nil))))
     (ruler-mode-default-face ((t (nil))))
     (ruler-mode-fill-column-face ((t (nil))))
     (ruler-mode-fringes-face ((t (nil))))
     (ruler-mode-goal-column-face ((t (nil))))
     (ruler-mode-margins-face ((t (nil))))
     (ruler-mode-pad-face ((t (nil))))
     (ruler-mode-tab-stop-face ((t (nil))))
     (scroll-bar ((t (:background "gray60" :foreground "gray40" :box (:line-width 1 :color "gray10")))))
     (searchm-buffer ((t (nil))))
     (searchm-button ((t (nil))))
     (searchm-field ((t (nil))))
     (searchm-field-label ((t (nil))))
     (searchm-highlight ((t (nil))))
     (secondary-selection ((t (:background "forestgreen" :foreground "yellow" :italic t :slant italic))))
     (semantic-dirty-token-face ((t (:background "gray10"))))
     (semantic-intangible-face ((t (:foreground "gray25"))))
     (semantic-read-only-face ((t (:background "gray25"))))
     (semantic-unmatched-syntax-face ((t (:underline "red"))))
     (senator-intangible-face ((t (:foreground "gray75"))))
     (senator-momentary-highlight-face ((t (:background "gray70"))))
     (senator-read-only-face ((t (:background "#664444"))))
     (setnu-line-number ((t (nil))))
     (setnu-line-number-face ((t (nil))))
     (sgml-comment-face ((t (:foreground "dark turquoise"))))
     (sgml-doctype-face ((t (:foreground "turquoise"))))
     (sgml-end-tag-face ((t (:foreground "aquamarine"))))
     (sgml-entity-face ((t (:foreground "gray85"))))
     (sgml-ignored-face ((t (:background "gray60" :foreground "gray40"))))
     (sgml-ms-end-face ((t (:foreground "green"))))
     (sgml-ms-start-face ((t (:foreground "yellow"))))
     (sgml-namespace ((t (nil))))
     (sgml-pi-face ((t (:foreground "lime green"))))
     (sgml-sgml-face ((t (:foreground "brown"))))
     (sgml-short-ref-face ((t (:foreground "deep sky blue"))))
     (sgml-shortref-face ((t (nil))))
     (sgml-start-tag-face ((t (:foreground "aquamarine"))))
     (sh-escaped-newline ((t (:foreground "gold"))))
     (sh-heredoc ((t ( :foreground "yellow1" ))))
     (sh-heredoc-face ((t ( :foreground "yellow1" ))))
     (sh-quoted-exec ((t (:foreground "cyan"))))
     (shadow ((t (nil))))
     (shell-option-face ((t (:foreground "NavajoWhite"))))
     (shell-output-2-face ((t (:foreground "gray85"))))
     (shell-output-3-face ((t (:foreground "gray85"))))
     (shell-output-face ((t ( ))))
     (shell-prompt-face ((t (:foreground "VioletRed3"))))
     (show-paren-match ((t ( :background "red" :foreground "yellow" ))))
     (show-paren-mismatch ((t (:background "purple" :foreground "cyan"))))
     (show-tabs-space-face ((t (:foreground "yellow"))))
     (show-tabs-tab-face ((t (:foreground "red"))))
     (show-trailing-whitespace ((t (nil))))
     (sieve-action-commands ((t (:foreground "LightSkyBlue"))))
     (sieve-control-commands ((t (:foreground "LightSteelBlue"))))
     (sieve-tagged-arguments ((t (:foreground "Cyan"))))
     (sieve-test-commands ((t (:foreground "Aquamarine"))))
     (simple-wiki-bold-face ((t ( ))))
     (simple-wiki-code-face ((t (nil))))
     (simple-wiki-emph-face ((t (:italic t :slant italic))))
     (simple-wiki-heading-1-face ((t (nil))))
     (simple-wiki-heading-2-face ((t (nil))))
     (simple-wiki-heading-3-face ((t (nil))))
     (simple-wiki-heading-4-face ((t (nil))))
     (simple-wiki-heading-5-face ((t (nil))))
     (simple-wiki-heading-6-face ((t (nil))))
     (simple-wiki-italic-face ((t (:italic t :slant italic))))
     (simple-wiki-local-link-face ((t (:foreground "gray80" :underline "gray50"))))
     (simple-wiki-nowiki-face ((t (nil))))
     (simple-wiki-smiley-face ((t (nil))))
     (simple-wiki-strike-face ((t (nil))))
     (simple-wiki-strong-emph-face ((t (:italic t  :slant italic ))))
     (simple-wiki-strong-face ((t ( ))))
     (simple-wiki-teletype-face ((t (nil))))
     (simple-wiki-underline-face ((t (nil))))
     (sldb-catch-tag-face ((t (nil))))
     (sldb-condition-face ((t (nil))))
     (sldb-detailed-frame-line-face ((t (nil))))
     (sldb-frame-label-face ((t (nil))))
     (sldb-frame-line-face ((t (nil))))
     (sldb-local-name-face ((t (nil))))
     (sldb-local-value-face ((t (nil))))
     (sldb-reference-face ((t (nil))))
     (sldb-restart-face ((t (nil))))
     (sldb-restart-number-face ((t (nil))))
     (sldb-restart-type-face ((t (nil))))
     (sldb-section-face ((t (nil))))
     (sldb-topline-face ((t (nil))))
     (slime-error-face ((t ( :foreground "red" ))))
     (slime-highlight-edits-face ((t (nil))))
     (slime-highlight-face ((t (nil))))
     (slime-inspector-action-face ((t (nil))))
     (slime-inspector-label-face ((t (nil))))
     (slime-inspector-topline-face ((t (nil))))
     (slime-inspector-type-face ((t (nil))))
     (slime-inspector-value-face ((t (nil))))
     (slime-note-face ((t (:foreground "gray40"))))
     (slime-reader-conditional-face ((t (nil))))
     (slime-repl-input-face ((t (:foreground "yellow"))))
     (slime-repl-inputed-output-face ((t (:foreground "cyan"))))
     (slime-repl-output-face ((t (:foreground "gray60"))))
     (slime-repl-output-mouseover-face ((t (nil))))
     (slime-repl-prompt-face ((t ( :foreground "white" ))))
     (slime-repl-result-face ((t (:foreground "cyan"))))
     (slime-style-warning-face ((t (nil))))
     (slime-warning-face ((t (:foreground "red"))))
     (smerge-base-face ((t (:foreground "red"))))
     (smerge-markers-face ((t (:background "grey85"))))
     (smerge-mine-face ((t (:foreground "Gray85"))))
     (smerge-other-face ((t (:foreground "darkgreen"))))
     (sml-yacc-bnf-face ((t (nil))))
     (spam-face ((t (:foreground "ivory2"))))
     (speedbar-button ((t (nil))))
     (speedbar-button-face ((t (:foreground "seashell2"))))
     (speedbar-directory ((t (nil))))
     (speedbar-directory-face ((t (:foreground "seashell3"))))
     (speedbar-file ((t (nil))))
     (speedbar-file-face ((t (:foreground "seashell4"))))
     (speedbar-highlight ((t (nil))))
     (speedbar-highlight-face ((t (:background "dark slate blue" :foreground "wheat"))))
     (speedbar-selected-face ((t (:foreground "seashell1" :underline t))))
     (speedbar-separator-face ((t (:background "blue" :foreground "white" :overline "gray"))))
     (speedbar-tag ((t (nil))))
     (speedbar-tag-face ((t (:foreground "antique white"))))
     (strokes-char ((t (nil))))
     (strokes-char-face ((t (:background "lightgray"))))
     (swbuff-current-buffer-face ((t ( :foreground "gray85" ))))
     (table-cell-face ((t (:inverse-video nil))))
     (tcl-escaped-newline ((t (:foreground "gray60"))))
     (temp-face- ((t (nil))))
     (template-message-face ((t ( ))))
     (term-black ((t (:foreground "black"))))
     (term-blackbg ((t (:background "black"))))
     (term-blue ((t (:foreground "blue"))))
     (term-blue-bold-face ((t (nil))))
     (term-blue-face ((t (nil))))
     (term-blue-inv-face ((t (nil))))
     (term-blue-ul-face ((t (nil))))
     (term-bluebg ((t (:background "blue"))))
     (term-bold ((t ( ))))
     (term-cyan ((t (:foreground "cyan"))))
     (term-cyan-bold-face ((t (nil))))
     (term-cyan-face ((t (nil))))
     (term-cyan-inv-face ((t (nil))))
     (term-cyan-ul-face ((t (nil))))
     (term-cyanbg ((t (:background "cyan"))))
     (term-default ((t (:background "gray80" :foreground "gray30" :inverse-video nil :box nil :strike-through nil :overline nil :underline nil :slant normal :weight normal :width normal :family "outline-lucida console"))))
     (term-default-bg ((t (nil))))
     (term-default-bg-inv ((t (nil))))
     (term-default-bold-face ((t (nil))))
     (term-default-face ((t (nil))))
     (term-default-fg ((t (nil))))
     (term-default-fg-inv ((t (nil))))
     (term-default-inv-face ((t (nil))))
     (term-default-ul-face ((t (nil))))
     (term-green ((t (:foreground "green"))))
     (term-green-bold-face ((t (nil))))
     (term-green-face ((t (nil))))
     (term-green-inv-face ((t (nil))))
     (term-green-ul-face ((t (nil))))
     (term-greenbg ((t (:background "green"))))
     (term-invisible ((t (nil))))
     (term-invisible-inv ((t (nil))))
     (term-magenta ((t (:foreground "magenta"))))
     (term-magenta-bold-face ((t (nil))))
     (term-magenta-face ((t (nil))))
     (term-magenta-inv-face ((t (nil))))
     (term-magenta-ul-face ((t (nil))))
     (term-magentabg ((t (:background "magenta"))))
     (term-red ((t (:foreground "red"))))
     (term-red-bold-face ((t (nil))))
     (term-red-face ((t (nil))))
     (term-red-inv-face ((t (nil))))
     (term-red-ul-face ((t (nil))))
     (term-redbg ((t (:background "red"))))
     (term-underline ((t (:underline t))))
     (term-white ((t (:foreground "white"))))
     (term-white-bold-face ((t (nil))))
     (term-white-face ((t (nil))))
     (term-white-inv-face ((t (nil))))
     (term-white-ul-face ((t (nil))))
     (term-whitebg ((t (:background "white"))))
     (term-yellow ((t (:foreground "yellow"))))
     (term-yellow-bold-face ((t (nil))))
     (term-yellow-face ((t (nil))))
     (term-yellow-inv-face ((t (nil))))
     (term-yellow-ul-face ((t (nil))))
     (term-yellowbg ((t (:background "yellow"))))
     (tex-math-face ((t (:foreground "RosyBrown"))))
     (texinfo-heading-face ((t (:foreground "Blue"))))
     (text-cursor ((t (:background "Red3" :foreground "gray80"))))
     (todo-comment-face ((t (:foreground "magenta" :bold t :weight bold))))
     (todo-comment-text-face ((t (:underline "gray30"))))
     (todoo-item-assigned-header ((t (nil))))
     (todoo-item-assigned-header-face ((t (nil))))
     (todoo-item-header ((t (nil))))
     (todoo-item-header-face ((t (nil))))
     (todoo-sub-item-header ((t (nil))))
     (todoo-sub-item-header-face ((t (nil))))
     (tool-bar ((t (:background "grey75" :foreground "black"))))
     (tooltip ((t (:background "white" :foreground "gray30"))))
     (trailing-whitespace ((t (:background "red"))))
     (tuareg-font-lock-governing ((t (nil))))
     (tuareg-font-lock-governing-face ((t (nil))))
     (tuareg-font-lock-interactive-error ((t (nil))))
     (tuareg-font-lock-interactive-error-face ((t (nil))))
     (tuareg-font-lock-interactive-output ((t (nil))))
     (tuareg-font-lock-interactive-output-face ((t (nil))))
     (tuareg-font-lock-operator ((t (nil))))
     (tuareg-font-lock-operator-face ((t (nil))))
     (underline ((t (:underline t))))
     (visible-mark-face ((t (:background "blue" :foreground "white"))))
     (variable-pitch ((t (:family "helv"))))
     (vc-annotate-face-0046FF ((t (:background "black" :foreground "wheat"))))
     (vcursor ((t (:background "cyan" :foreground "blue" :underline t))))
     (vertical-border ((t (nil))))
     (vertical-divider ((t (:background "Gray80"))))
     (vhdl-font-lock-attribute-face ((t (:foreground "gray85"))))
     (vhdl-font-lock-directive-face ((t (:foreground "gray85"))))
     (vhdl-font-lock-enumvalue-face ((t (:foreground "gray85"))))
     (vhdl-font-lock-function-face ((t (:foreground "gray85"))))
     (vhdl-font-lock-generic-constant-face ((t (:foreground "BurlyWood1"))))
     (vhdl-font-lock-prompt-face ((t ( :foreground "gray85" ))))
     (vhdl-font-lock-reserved-words-face ((t ( :foreground "gray85" ))))
     (vhdl-font-lock-translate-off-face ((t (:background "LightGray"))))
     (vhdl-font-lock-type-face ((t (:foreground "PaleGreen"))))
     (vhdl-font-lock-variable-face ((t (:foreground "Grey80"))))
     (vhdl-speedbar-architecture-face ((t (:foreground "gray85"))))
     (vhdl-speedbar-architecture-selected-face ((t (:foreground "gray85" :underline t))))
     (vhdl-speedbar-configuration-face ((t (:foreground "gray85"))))
     (vhdl-speedbar-configuration-selected-face ((t (:foreground "gray85" :underline t))))
     (vhdl-speedbar-entity-face ((t (:foreground "gray85"))))
     (vhdl-speedbar-entity-selected-face ((t (:foreground "gray85" :underline t))))
     (vhdl-speedbar-instantiation-face ((t (:foreground "gray85"))))
     (vhdl-speedbar-instantiation-selected-face ((t (:foreground "gray85" :underline t))))
     (vhdl-speedbar-library-face ((t (:foreground "Orchid1"))))
     (vhdl-speedbar-package-face ((t (:foreground "gray85"))))
     (vhdl-speedbar-package-selected-face ((t (:foreground "gray85" :underline t))))
     (vhdl-speedbar-subprogram-face ((t (:foreground "BurlyWood2"))))
     (viper-minibuffer-emacs-face ((t (:background "darkseagreen2" :foreground "Black"))))
     (viper-minibuffer-insert-face ((t (:background "pink" :foreground "Black"))))
     (viper-minibuffer-vi-face ((t (:background "grey" :foreground "DarkGreen"))))
     (viper-replace-overlay-face ((t (:background "darkseagreen2" :foreground "Black"))))
     (viper-search-face ((t (:background "khaki" :foreground "Black"))))
     (vm-header-content-face ((t (:italic t :foreground "wheat" :slant italic))))
     (vm-header-from-face ((t (:italic t :foreground "wheat" :slant italic))))
     (vm-header-name-face ((t (:foreground "cyan"))))
     (vm-header-subject-face ((t (:foreground "cyan"))))
     (vm-header-to-face ((t (:italic t :foreground "cyan" :slant italic))))
     (vm-message-cited-face ((t (:foreground "Gray80"))))
     (vm-monochrome-image ((t (:background "white" :foreground "gray30"))))
     (vm-summary-face-1 ((t (:foreground "MediumAquamarine"))))
     (vm-summary-face-2 ((t (:foreground "MediumAquamarine"))))
     (vm-summary-face-3 ((t (:foreground "MediumAquamarine"))))
     (vm-summary-face-4 ((t (:foreground "MediumAquamarine"))))
     (vm-summary-highlight-face ((t (:foreground "White"))))
     (vm-xface ((t (:background "white" :foreground "gray30"))))
     (vmpc-pre-sig-face ((t (:foreground "gray85"))))
     (vmpc-sig-face ((t (:foreground "gray85"))))
     (vvb-face ((t (:background "pink" :foreground "gray30"))))
     (w3m-anchor ((t (:foreground "gray70" :underline "gray60"))))
     (w3m-arrived-anchor ((t (nil))))
     (w3m-bold ((t ( :foreground "yellow" ))))
     (w3m-current-anchor ((t (:background "blue" :foreground "yellow"))))
     (w3m-form ((t (nil))))
     (w3m-form-button ((t (nil))))
     (w3m-form-button-mouse ((t (nil))))
     (w3m-form-button-pressed ((t (nil))))
     (w3m-form-face ((t (nil))))
     (w3m-header-line-location-content ((t (:foreground "gray80"))))
     (w3m-header-line-location-title ((t (:foreground "gray50" :underline "gray60"))))
     (w3m-history-current-url ((t (nil))))
     (w3m-image ((t (nil))))
     (w3m-insert ((t (nil))))
     (w3m-italic ((t (:italic t :slant italic))))
     (w3m-strike-through ((t (nil))))
     (w3m-tab-background ((t (nil))))
     (w3m-tab-mouse ((t (nil))))
     (w3m-tab-selected ((t (nil))))
     (w3m-tab-selected-background ((t (nil))))
     (w3m-tab-selected-retrieving ((t (nil))))
     (w3m-tab-unselected ((t (nil))))
     (w3m-tab-unselected-retrieving ((t (nil))))
     (w3m-underline ((t (nil))))
     (which-func ((t (:foreground "Blue1"))))
     (white ((t (:foreground "white"))))
     (whitespace-highlight-face ((t (nil))))
     (widget ((t (nil))))
     (widget-button ((t (:foreground "gray60"))))
     (widget-button-highlight ((t (nil))))
     (widget-button-highlight-face ((t (nil))))
     (widget-button-pressed ((t (:foreground "red"))))
     (widget-button-pressed-highlight ((t (nil))))
     (widget-button-pressed-highlight-face ((t (nil))))
     (widget-documentation ((t (:foreground "light blue"))))
     (widget-field ((t (:background "dim gray" :foreground "white"))))
     (widget-inactive ((t (:foreground "light gray"))))
     (widget-single-line-field ((t (:background "slate gray" :foreground "gray30"))))
     (wl-highlight-action-argument-face ((t (:foreground "pink"))))
     (wl-highlight-demo-face ((t (:background "#004400" :foreground "#d9ffd9"))))
     (wl-highlight-folder-closed-face ((t (:foreground "GreenYellow"))))
     (wl-highlight-folder-few-face ((t (:foreground "orange"))))
     (wl-highlight-folder-killed-face ((t (:foreground "gray50"))))
     (wl-highlight-folder-many-face ((t (:foreground "HotPink1"))))
     (wl-highlight-folder-opened-face ((t (:foreground "PaleGreen"))))
     (wl-highlight-folder-path-face ((t ( :underline t ))))
     (wl-highlight-folder-unknown-face ((t (:foreground "pink"))))
     (wl-highlight-folder-unread-face ((t (:foreground "gold"))))
     (wl-highlight-folder-zero-face ((t (:foreground "SkyBlue"))))
     (wl-highlight-header-separator-face ((t (:background "DarkKhaki" :foreground "Black"))))
     (wl-highlight-logo-face ((t (:background "#004400" :foreground "SkyBlue"))))
     (wl-highlight-message-citation-header ((t (:foreground "SkyBlue"))))
     (wl-highlight-message-cited-text-1 ((t (:foreground "HotPink1"))))
     (wl-highlight-message-cited-text-10 ((t (:foreground "wheat"))))
     (wl-highlight-message-cited-text-2 ((t (:foreground "violet"))))
     (wl-highlight-message-cited-text-3 ((t (:foreground "orchid3"))))
     (wl-highlight-message-cited-text-4 ((t (:foreground "purple1"))))
     (wl-highlight-message-cited-text-5 ((t (:foreground "MediumPurple1"))))
     (wl-highlight-message-cited-text-6 ((t (:foreground "PaleVioletRed"))))
     (wl-highlight-message-cited-text-7 ((t (:foreground "LightPink"))))
     (wl-highlight-message-cited-text-8 ((t (:foreground "salmon"))))
     (wl-highlight-message-cited-text-9 ((t (:foreground "SandyBrown"))))
     (wl-highlight-message-header-contents ((t ( :foreground "LightSkyBlue" ))))
     (wl-highlight-message-headers ((t ( :foreground "gray" ))))
     (wl-highlight-message-important-header-contents ((t ( :foreground "yellow" ))))
     (wl-highlight-message-important-header-contents2 ((t ( :foreground "orange" ))))
     (wl-highlight-message-signature ((t (:foreground "khaki"))))
     (wl-highlight-message-unimportant-header-contents ((t ( :foreground "GreenYellow" ))))
     (wl-highlight-summary-answered-face ((t (:foreground "khaki"))))
     (wl-highlight-summary-copied-face ((t (:foreground "cyan"))))
     (wl-highlight-summary-deleted-face ((t (:foreground "SteelBlue"))))
     (wl-highlight-summary-displaying-face ((t ( :underline t ))))
     (wl-highlight-summary-disposed-face ((t (:foreground "gray"))))
     (wl-highlight-summary-flagged-face ((t (:foreground "orange"))))
     (wl-highlight-summary-forwarded-face ((t (:foreground "DarkOliveGreen2"))))
     (wl-highlight-summary-high-read-face ((t ( :foreground "PaleGreen" ))))
     (wl-highlight-summary-high-unread-face ((t ( :foreground "tomato" ))))
     (wl-highlight-summary-important-flag-face ((t (:foreground "orange"))))
     (wl-highlight-summary-low-read-face ((t (:italic t :foreground "PaleGreen" :slant italic))))
     (wl-highlight-summary-low-unread-face ((t (:italic t :foreground "LightSkyBlue" :slant italic))))
     (wl-highlight-summary-new-face ((t (:foreground "tomato"))))
     (wl-highlight-summary-normal-face ((t (:foreground "PaleGreen"))))
     (wl-highlight-summary-prefetch-face ((t (:foreground "DeepSkyBlue"))))
     (wl-highlight-summary-refiled-face ((t (:foreground "blue"))))
     (wl-highlight-summary-resend-face ((t (:foreground "orange3"))))
     (wl-highlight-summary-target-face ((t (:foreground "HotPink1"))))
     (wl-highlight-summary-temp-face ((t (:foreground "HotPink1"))))
     (wl-highlight-summary-thread-top-face ((t (:foreground "GreenYellow"))))
     (wl-highlight-summary-unread-face ((t (:foreground "LightSkyBlue"))))
     (wl-highlight-thread-indent-face ((t (:foreground "gray40"))))
     (wl-message-header-narrowing-face ((t (:background "dark goldenrod" :foreground "white"))))
     (wl-summary-persistent-mark-face ((t (:foreground "SeaGreen4"))))
     (woman-addition-face ((t (:foreground "orange"))))
     (woman-bold-face ((t ( :foreground "sky blue" ))))
     (woman-italic-face ((t (:foreground "deep sky blue"))))
     (woman-unknown-face ((t (:foreground "LightSalmon"))))
     (x-face ((t (:background "white" :foreground "gray30"))))
     (x-symbol-adobe-fontspecific-face ((t (nil))))
     (x-symbol-face ((t (nil))))
     (x-symbol-heading-face ((t (nil))))
     (x-symbol-info-face ((t (nil))))
     (x-symbol-invisible-face ((t (nil))))
     (x-symbol-revealed-face ((t (nil))))
     (xrdb-option-name-face ((t (:foreground "gray85"))))
     (xref-keyword-face ((t (:foreground "gray85"))))
     (xref-list-default-face ((t (nil))))
     (xref-list-pilot-face ((t (:foreground "gray85"))))
     (xref-list-symbol-face ((t (:foreground "navy"))))
     (xsl-fo-alternate-face ((t (:foreground "Yellow"))))
     (xsl-fo-main-face ((t (:foreground "PaleGreen"))))
     (xsl-other-element-face ((t (:foreground "Coral"))))
     (xsl-xslt-alternate-face ((t (:foreground "LightGray"))))
     (xsl-xslt-main-face ((t (:foreground "Wheat"))))
     (xxml-emph-1-face ((t (:background "lightyellow"))))
     (xxml-emph-2-face ((t (:background "lightyellow"))))
     (xxml-header-1-face ((t (:background "seashell1" :foreground "MediumAquamarine"))))
     (xxml-header-2-face ((t (:background "seashell1" :foreground "SkyBlue"))))
     (xxml-header-3-face ((t (:background "seashell1"))))
     (xxml-header-4-face ((t (:background "seashell1"))))
     (xxml-interaction-face ((t (:background "lightcyan"))))
     (xxml-rug-face ((t (:background "cyan"))))
     (xxml-sparkle-face ((t (:background "yellow"))))
     (xxml-unbreakable-space-face ((t (:foreground "grey" :underline t))))
     (yellow ((t (:foreground "yellow"))))

     (riece-addon-list-description-face ((t (nil))))
     (riece-addon-list-disabled-face ((t (nil))))
     (riece-addon-list-enabled-face ((t (nil))))
     (riece-addon-list-uninstalled-face ((t (nil))))
     (riece-addon-list-unloaded-face ((t (nil))))
     (riece-channel-list-current-face ((t (:foreground "yellow" :background "darkgreen"))))
     (riece-channel-list-default-face ((t (:foreground "blue"))))
     (riece-channel-list-history-face ((t (:foreground "cyan"))))
     (riece-channel-list-unread-face ((t (:foreground "yellow" :background "red"))))
     (riece-ctcp-action-face ((t (nil))))
     (riece-dialogue-change-face ((t (nil))))
     (riece-dialogue-error-face ((t (nil))))
     (riece-dialogue-info-face ((t (nil))))
     (riece-dialogue-notice-face ((t (nil))))
     (riece-dialogue-prefix-face ((t (nil))))
     (riece-dialogue-server-face ((t (nil))))
     (riece-dialogue-wallops-face ((t (nil))))
     (riece-keyword-face ((t (nil))))
     (riece-log-date-face ((t (nil))))
     (riece-modeline-current-face ((t (nil))))
     (riece-modeline-history-face ((t (nil))))
     (riece-modeline-unread-face ((t (nil))))

     (zmacs-region ((t (:background "grey30")))))))

(provide 'folio)
;;; folio.el ends here
